#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A minimal plasma shell package
Name:           plasma-nano
Version: 5.27.5
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://cgit.kde.org/plasma-nano.git
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)

# KDE Frameworks
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(KF5I18n)

%description
A minimal plasma shell package intended for embedded devices.

%files -f %name.lang
%doc README.md
%_kf5_qmldir/org/kde/plasma/private/nanoshell/
%_kf5_metainfodir/org.kde.plasma.nano.desktoptoolbox.appdata.xml
%_kf5_services/plasma-applet-org.kde.plasma.nano.desktop
%_kf5_services/plasma-package-org.kde.plasma.nano.desktoptoolbox.desktop
%_kf5_datadir/plasma/packages/org.kde.plasma.nano.desktoptoolbox/
%_kf5_datadir/plasma/shells/org.kde.plasma.nano/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958062
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951976
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949100
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945807
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944819
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942086
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935094
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930083
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923135
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907554
- New version 5.26.3
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889266
- New version 5.25.90
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872294
- New version 5.25.3
- New version 5.24.5

* Thu Mar 31 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1837513
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766178
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756843
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750094
- New version 5.23.0
- New version 5.22.90

* Sun Jul 18 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736633
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 5.21.5-1.mga9
+ Revision: 1721773
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 5.21.4-1.mga9
+ Revision: 1715406
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 5.21.3-1.mga9
+ Revision: 1704283
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 5.21.2-1.mga9
+ Revision: 1697456
- New version 5.21.2

* Sat Feb 27 2021 daviddavid <daviddavid> 5.21.1-1.mga9
+ Revision: 1692655
- New version 5.21.1

* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654207
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645429
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1639998
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637751
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635454
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620798
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609616
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603015
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598730
- New version 5.19.2

* Wed Jun 17 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1594023
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580774
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557173
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550389
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548261
- New version 5.18.1

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496320
- New version 5.18.0

* Fri Feb 07 2020 daviddavid <daviddavid> 5.17.90-1.mga8
+ Revision: 1487766
- initial package plasma-nano

